import Vue from 'vue'
import Vuex from 'vuex'
import usrAuth from './modules/usr-auth'
import tagView from './modules/tagView'
import getters from './getters'

Vue.use(Vuex)

const store = () => {
  console.log('creating the store')
  return new Vuex.Store({
    modules: {
      usrAuth,
      tagView
    },
    getters
  })
}
export default store
